from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XDataPointCustomLabelField(XFormattedString2, Protocol):
    def getFieldType(self) -> DataPointCustomLabelFieldType: ...
    def setFieldType(self, fieldType: DataPointCustomLabelFieldType) -> None: ...
    def getGuid(self) -> str: ...
    def setGuid(self, guid: str) -> None: ...
    def getDataLabelsRange(self) -> bool: ...
    def setDataLabelsRange(self, dataLabelsRange: bool) -> None: ...
    def getCellRange(self) -> str: ...
    def setCellRange(self, cellRange: str) -> None: ...
